diff --git a/Readme.md b/Readme.md
--- a/Readme.md
+++ b/Readme.md
@@ -113,9 +113,6 @@
     cd leksah
     git submodule update --init
 
-Download wix39-binaries.zip from [wixtoolset.org](http://wixtoolset.org/) and
-put it in the same directory.
-
 Get the Fedora 22 docker image and load it:
 
     wget http://dl.fedoraproject.org/pub/fedora/linux/releases/22/Docker/x86_64/Fedora-Docker-Base-22-20150521.x86_64.tar.xz
diff --git a/leksah.cabal b/leksah.cabal
--- a/leksah.cabal
+++ b/leksah.cabal
@@ -1,5 +1,5 @@
 name: leksah
-version: 0.15.1.2
+version: 0.15.1.3
 cabal-version: >=1.18
 build-type: Simple
 license: GPL
@@ -321,7 +321,7 @@
         containers >=0.2.0.0 && <0.6,
         directory >=1.0.0.2 && <3.1,
         filepath >=1.1.0.1 && <1.5,
-        glib >=0.13.0.0 && <0.14,
+        glib >=0.13.2.1 && <0.14,
         mtl >=1.1.0.2 && <2.3,
         old-time >=1.0.0.1 && <1.2,
         parsec >=2.1.0.1 && <3.2,
@@ -389,7 +389,7 @@
         ghc-options: -optl-headerpad_max_install_names
     main-is: Main.hs
     build-depends:
-        leksah ==0.15.1.2,
+        leksah ==0.15.1.3,
         base >=4.0.0.0 && <=4.9,
         gtk3 >=0.13.9 && <0.15,
         stm >=2.4.4 && <2.5
@@ -400,7 +400,7 @@
 executable bewleksah
     main-is: Main.hs
     build-depends:
-        leksah ==0.15.1.2,
+        leksah ==0.15.1.3,
         base >=4.0.0.0 && <=4.9,
         jsaddle -any,
         ghcjs-dom -any,
@@ -423,7 +423,7 @@
         base >=4.0.0.0 && <4.9,
         Cabal >=1.10.2.0 && <1.23,
         QuickCheck >=2.4.2 && <2.9,
-        leksah ==0.15.1.2,
+        leksah ==0.15.1.3,
         containers -any,
         ltk -any,
         leksah-server -any,
diff --git a/osx/makedmgs.sh b/osx/makedmgs.sh
--- a/osx/makedmgs.sh
+++ b/osx/makedmgs.sh
@@ -1,8 +1,8 @@
 #!/bin/sh -ex
 
-export GHCVERSION=-7.8.3
-scripts/clean.sh
-osx/makedmg.sh
+#export GHCVERSION=-7.8.3
+#scripts/clean.sh
+#osx/makedmg.sh
 export GHCVERSION=-7.10.1
 scripts/clean.sh
 osx/makedmg.sh
diff --git a/src/IDE/Leksah.hs b/src/IDE/Leksah.hs
--- a/src/IDE/Leksah.hs
+++ b/src/IDE/Leksah.hs
@@ -263,7 +263,7 @@
     debugM "leksah" "finished mainGUI"
 
 mainLoop :: IO () -> IO ()
-mainLoop = if rtsSupportsBoundThreads then mainLoopThreaded else mainLoopSingleThread
+mainLoop = mainLoopSingleThread
 
 mainLoopThreaded :: IO () -> IO ()
 mainLoopThreaded onIdle = loop
diff --git a/src/IDE/Pane/SourceBuffer.hs b/src/IDE/Pane/SourceBuffer.hs
--- a/src/IDE/Pane/SourceBuffer.hs
+++ b/src/IDE/Pane/SourceBuffer.hs
@@ -1,4 +1,3 @@
-{-# LANGUAGE CPP #-}
 {-# LANGUAGE ViewPatterns #-}
 {-# LANGUAGE MultiParamTypeClasses #-}
 {-# LANGUAGE FlexibleInstances #-}
@@ -787,12 +786,8 @@
                             case modTime' of
                                 Nothing ->  error $"checkModTime: time not set " ++ show (fileName buf)
                                 Just mt ->
-#if defined(mingw32_HOST_OS) || defined(__MINGW32__)
-                                    if False
-#else
                                     if nmt /= mt -- Fonts get messed up under windows when adding this line.
                                                   -- Praises to whoever finds out what happens and how to fix this
-#endif
                                     then do
                                         load <- readIDE (autoLoad . prefs)
                                         if load
diff --git a/src/IDE/Utils/GUIUtils.hs b/src/IDE/Utils/GUIUtils.hs
--- a/src/IDE/Utils/GUIUtils.hs
+++ b/src/IDE/Utils/GUIUtils.hs
@@ -63,8 +63,11 @@
 import Control.Exception as E
 import Data.Text (Text)
 import Data.Monoid ((<>))
-import qualified Data.Text as T (unpack)
-
+import qualified Data.Text as T (unpack
+#ifdef LOCALIZATION
+                               , pack
+#endif
+                                )
 #ifdef LOCALIZATION
 
 import Text.I18N.GetText
diff --git a/win32/makeinstaller.sh b/win32/makeinstaller.sh
--- a/win32/makeinstaller.sh
+++ b/win32/makeinstaller.sh
@@ -129,17 +129,17 @@
 
 # mkdir -p SourceDir/fonts
 # cp -ru /c/Windows/Fonts/DejaVuS*.ttf SourceDir
+export WINEPREFIX=~/.wine32
+export WINEARCH=win32
 if ["$WINE" -eq ""]
 then
   heat dir SourceDir -srd -gg -sfrag -template fragment -out heat.wxs -cg Leksah -dr INSTALLDIR -sreg suppress registry harvesting || exit
-  xsltproc heat.xslt heat.wxs > heatfixed.wxs
-  candle heatfixed.wxs || exit
-  candle leksah.wxs || exit
-  light -ext WixUIExtension heatfixed.wixobj leksah.wixobj -out $LEKSAH_X_X_X_X_GHC_X_X_X.msi || exit
+  LIGHT=light
 else
   find SourceDir -follow | wixl-heat -p SourceDir/ --component-group Leksah --directory-ref INSTALLDIR > heat.wxs || exit
-  xsltproc heat.xslt heat.wxs > heatfixed.wxs
-  mono ~/.wine32/drive_c/bin/candle.exe heatfixed.wxs || exit
-  mono ~/.wine32/drive_c/bin/candle.exe leksah.wxs || exit
-  mono ~/.wine32/drive_c/bin/light.exe -sval -ext WixUIExtension heatfixed.wixobj leksah.wixobj -out $LEKSAH_X_X_X_X_GHC_X_X_X.msi || exit
+  LIGHT='light -sval'
 fi
+xsltproc heat.xslt heat.wxs > heatfixed.wxs
+$WINE candle heatfixed.wxs || exit
+$WINE candle leksah.wxs || exit
+$WINE $LIGHT -ext WixUIExtension heatfixed.wixobj leksah.wixobj -out $LEKSAH_X_X_X_X_GHC_X_X_X.msi || exit
